<template>
  <RouterView v-if="isRouterActive"></RouterView>
</template>

<script setup lang="ts">
// 引入组件刷新功能
import { provide , nextTick , ref } from 'vue'
const isRouterActive = ref(true)
provide('reload', () => {
  isRouterActive.value = false
  nextTick(() => {
    isRouterActive.value = true
  })
})

</script>


<style scoped>
html{
  padding:0;
  margin: 0;
}
body{
  padding: 0;
  margin: 0;
  overflow: hidden;
  width: 100%;
  height: 100%;
}
</style>
